Progress

Vue Bootstrap 5 Progress component

Documentation and examples for using custom progress bars featuring support for stacked bars, animated backgrounds, and text labels.


Basic example

        
            
            <template>
              <MDBProgress>
                <MDBProgressBar :value="75" />
              </MDBProgress>
            </template>
          
        
    
        
            
            <script>
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBProgress,
                  MDBProgressBar
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
            </script>
          
        
    

How it works

Progress components are built with two HTML elements, some CSS to set the width, and a few attributes. We don’t use the HTML5 <progress> element, ensuring you can stack progress bars, animate them, and place text labels over them.

  • We use the MDBProgress as a wrapper to indicate the max value of the progress bar.
  • We use the inner MDBProgressBar to indicate the progress so far.
  • Widht of the MDBProgressBar can be set with value prop.
  • The MDBProgressBar has automatically added role and aria attributes to make it accessible.

Put that all together, and you have the following examples.

        
            
            <template>
              <MDBProgress>
                <MDBProgressBar :value="0" />
              </MDBProgress>
              <br />
              <MDBProgress>
                <MDBProgressBar :value="25" />
              </MDBProgress>
              <br />
              <MDBProgress>
                <MDBProgressBar :value="50" />
              </MDBProgress>
              <br />
              <MDBProgress>
                <MDBProgressBar :value="75" />
              </MDBProgress>
              <br />
              <MDBProgress>
                <MDBProgressBar :value="100" />
              </MDBProgress>
            </template>
          
        
    
        
            
            <script>
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBProgress,
                  MDBProgressBar
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
            </script>
          
        
    

MDB provides a handful of utilities for setting width. Depending on your needs, these may help with quickly configuring progress.

        
            
            <template>
              <MDBProgress>
                <MDBProgressBar :value="75" :min="0" :max="100" class="w-75" />
              </MDBProgress>
            </template>
          
        
    
        
            
          <script>
            import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
  
            export default {
              components: {
                MDBProgress,
                MDBProgressBar
              }
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
          </script>
          
        
    

Labels

Add labels to your progress bars by placing text within the MDBProgress.

To make the label visible you need to set a proper height to the bar.

        
            
            <template>
              <MDBProgress :height="20">
                <MDBProgressBar :value="25" >
                    25%
                </MDBProgressBar>
              </MDBProgress>
            </template>
          
        
    
        
            
            <script>
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBProgress,
                  MDBProgressBar
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
            </script>
          
        
    

Height

We only set a height value on the MDBProgress, so if you change that value the inner MDBProgressBar will automatically resize accordingly.

        
            
            <template>
              <MDBProgress>
                <MDBProgressBar :value="25" :style="1" />
              </MDBProgress>
              <MDBProgress :height="20">
                <MDBProgressBar :value="25" />
              </MDBProgress>
            </template>
          
        
    
        
            
            <script>
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBProgress,
                  MDBProgressBar
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
            </script>
          
        
    

Colors

Use background utility classes to change the appearance of individual progress bars.

        
            
            <template>
              <MDBProgress>
                <MDBProgressBar :value="25" bg="success" />
              </MDBProgress>
              <br />
              <MDBProgress>
                <MDBProgressBar :value="50" bg="info" />
              </MDBProgress>
              <br />
              <MDBProgress>
                <MDBProgressBar :value="75" bg="warning" />
              </MDBProgress>
              <br />
              <MDBProgress>
                <MDBProgressBar :value="100" bg="danger" />
              </MDBProgress>
            </template>
          
        
    
        
            
            <script>
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBProgress,
                  MDBProgressBar
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
            </script>
          
        
    

Multiple bars

Include multiple progress bars in a progress component if you need.

        
            
            <template>
              <MDBProgress>
                <MDBProgressBar :value="15" />
                <MDBProgressBar :value="30" bg="success" />
                <MDBProgressBar :value="20" bg="info" />
              </MDBProgress>
            </template>
          
        
    
        
            
            <script>
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBProgress,
                  MDBProgressBar
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
            </script>
          
        
    

Striped

Add striped to any MDBProgressBar to apply a stripe via CSS gradient over the progress bar’s background color.

        
            
            <template>
              <MDBProgress :height="20">
                <MDBProgressBar :value="10" striped />
              </MDBProgress>
              <MDBProgress :height="20">
                <MDBProgressBar :value="25" striped bg="success" />
              </MDBProgress>
              <MDBProgress :height="20">
                <MDBProgressBar :value="50" striped bg="info" />
              </MDBProgress>
              <MDBProgress :height="20">
                <MDBProgressBar :value="75" striped bg="warning" />
              </MDBProgress>
              <MDBProgress :height="20">
                <MDBProgressBar :value="100" striped bg="danger" />
              </MDBProgress>
            </template>
          
        
    
        
            
            <script>
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBProgress,
                  MDBProgressBar
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
            </script>
          
        
    

Animated stripes

The striped gradient can also be animated. Add animated to MDBProgressBar to animate the stripes right to left via CSS3 animations.

        
            
            <template>
              <MDBProgress :height="20">
                <MDBProgressBar :value="75" striped animated />
              </MDBProgress>
            </template>
          
        
    
        
            
            <script>
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBProgress,
                  MDBProgressBar
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBProgress, MDBProgressbar } from "mdb-vue-ui-kit";
            </script>
          
        
    

Progress - API


Import

        
            
          <script>
            import { 
              MDBProgress,
              MDBProgressBar
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

MDBProgress

Name Type Default Description Example
tag String 'div' Defines tag of the MDBProgress element <MDBProgress tag="section"><MDBProgressBar/></MDBProgress>
height Number Sets the height of the MDBProgress and MDBProgressBar elements <MDBProgress :height="10"><MDBProgressBar/></MDBProgress>

MDBProgressBar

Name Type Default Description Example
tag String 'li' Defines tag of the MDBProgressBar element <MDBProgress><MDBProgressBar tag="section"/></MDBProgress>
bg String Sets background color of the MDBProgressBar element. <MDBProgress><MDBProgressBar bg="success"/></MDBProgress>
striped Boolean false Adds striped effect <MDBProgress><MDBProgressBar striped></MDBProgress>
animated Boolean false Adds animation effect <MDBProgress><MDBProgressBar animated></MDBProgress>
value Number 0 Changes progress value <MDBProgress><MDBProgressBar :value="10"></MDBProgress>
min Number 0 Changes minimum progress value <MDBProgress><MDBProgressBar :min="10"></MDBProgress>
max Number 100 Changes maximum progress value <MDBProgress><MDBProgressBar :max="10"></MDBProgress>

CSS variables

As part of MDB’s evolving CSS variables approach, progress now use local CSS variables on .progress for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .progress
        --#{$prefix}progress-height: #{$progress-height};
        @include rfs($progress-font-size, --#{$prefix}progress-font-size);
        --#{$prefix}progress-bg: #{$progress-bg};
        --#{$prefix}progress-border-radius: #{$progress-border-radius};
        --#{$prefix}progress-box-shadow: #{$progress-box-shadow};
        --#{$prefix}progress-bar-color: #{$progress-bar-color};
        --#{$prefix}progress-bar-bg: #{$progress-bar-bg};
        --#{$prefix}progress-bar-transition: #{$progress-bar-transition};
        
        
    

SCSS variables

        
            
        $progress-height: 4px;
        $progress-font-size: $font-size-base * 0.75;
        $progress-bg: $gray-200;
        $progress-border-radius: $border-radius;
        $progress-box-shadow: $box-shadow-inset;
        $progress-bar-color: $white;
        $progress-bar-bg: $primary;
        $progress-bar-animation-timing: 1s linear infinite;
        $progress-bar-transition: width 0.6s ease;

Angular Bootstrap Progress Bar
Angular Progress Bar - Bootstrap 4 & Material Design
Angular Bootstrap progress bar is a component which displays a progress of a process in which user is involved. Their color, shape, and animation can be customized.
If it takes too long for your website to load up, your user will be less stressed about it when he sees a simple progress bar. It means as much as “Everything is fine. The content you want to see will load in a few seconds”
Default progress bar
Default styling for Bootstrap Progress Bar component
<div class="progress">
<div class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
</div>
<br>
<div class="progress">
<div class="progress-bar" role="progressbar" style="width: 25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
</div>
<br>
<div class="progress">
<div class="progress-bar" role="progressbar" style="width: 50%" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
</div>
<br>
<div class="progress">
<div class="progress-bar" role="progressbar" style="width: 75%" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100"></div>
</div>
<br>
<div class="progress">
<div class="progress-bar" role="progressbar" style="width: 100%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></div>
</div>
Material progress bar MDB Pro component
Material Design styling for Bootstrap Progress Bar component
<mdb-progress value="0" min="0" max="100" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
<mdb-progress value="25" min="0" max="100" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
<mdb-progress value="50" min="0" max="100" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
<mdb-progress value="75" min="0" max="100" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
<mdb-progress value="100" min="0" max="100" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
Height
Set a height
styles on the .progress
and .progress-bar
.
Material progress bar MDB Pro component
<mdb-progress value="25" min="0" max="100" type="success" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
.progress-bar, .progress {
height: 20px !important;
}
Labels
Add labels to your progress bars by placing text within the mdb-progress
element.
Material progress bar MDB Pro component
<mdb-progress value="25" min="0" max="100" type="success" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">25%</mdb-progress>
.progress-bar, .progress {
height: 20px !important;
}
Contextual alternatives
Progress bars use some of the same button and alert classes for consistent styles.
Contextual alternatives of progress bar MDB Pro component
<mdb-progress value="25" min="0" max="100" type="success" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
<mdb-progress value="50" min="0" max="100" type="info" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
<mdb-progress value="75" min="0" max="100" type="warning" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
<mdb-progress value="100" min="0" max="100" type="danger" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
Prealoaders
Infinite loading MDB Pro component
<mdb-progress-bar class="progress primary-color-dark" mode="indeterminate"></mdb-progress-bar>
Circles
Basic circles MDB Pro component
<!--Big blue-->
<mdb-spinner spinnerType="big" spinnerColor="blue"></mdb-spinner>
<!--Medium red-->
<mdb-spinner spinnerColor="red"></mdb-spinner>
<!--Small yellow-->
<mdb-spinner spinnerType="small" spinnerColor="yellow"></mdb-spinner>
Multicolor MDB Pro component
<mdb-spinner spinnerType="big"></mdb-spinner>
Preloading script MDB Pro component
Click the button below to see Preloading Script in action
Usage
Adding preloader to your project
In order to have working preloaders on every component in your project, you need to perform those 3 steps:
- Add
MDBSpinningPreloader
toapp.module.ts
, - Configure your
app.component.ts
file by addingMDBSpinningPreloader
service to it, - Add preloader HTML markup to
index.html
file between<body></body>
tags, above main component (default<app-root></app-root>
).
1st step - app.module.ts
import { MDBSpinningPreloader } from 'ng-uikit-pro-standard';
@NgModule({
...
providers: [MDBSpinningPreloader],
...
})
2nd step - app.component.ts
import { Component, OnInit } from '@angular/core';
import {MDBSpinningPreloader} from 'ng-uikit-pro-standard';
@Component({
selector: 'app-root',
templateUrl: 'app.component.html'
})
export class AppComponent implements OnInit {
constructor(private mdbSpinningPreloader: MDBSpinningPreloader) {}
ngOnInit() {
this.mdbSpinningPreloader.stop();
}
}
3rd step - index.html
<div class="spinning-preloader-container">
<div class="preloader-wrapper big active">
<div class="spinner-layer spinner-blue">
<div class="circle-clipper left">
<div class="circle"> </div>
</div> <div class="gap-patch">
<div class="circle"> </div>
</div>
</div>
<div class="spinner-layer spinner-red">
<div class="circle-clipper left">
<div class="circle"> </div>
</div> <div class="gap-patch">
<div class="circle"> </div>
</div>
</div>
<div class="spinner-layer spinner-yellow">
<div class="circle-clipper left">
<div class="circle"> </div>
</div> <div class="gap-patch">
<div class="circle"> </div>
</div>
</div>
<div class="spinner-layer spinner-green">
<div class="circle-clipper left">
<div class="circle"> </div>
</div> <div class="gap-patch">
<div class="circle"> </div>
</div>
</div>
</div>
</div>
Angular Progress Bar - API
In this section you will find informations about required modules and available inputs of progress bar component.
Modules used
In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.
// MDB Angular Pro
import { WavesModule, PreloadersModule, ProgressbarModule, MdProgressBarModule } from 'ng-uikit-pro-standard'
Components
ProgressSpinnerComponent
Selector: mdb-spinner
Type: ProgressSpinnerComponent
ProgressbarComponent
Selector: mdb-progress
Type: ProgressbarComponent
Inputs
ProgressSpinnerComponent
Name | Type | Default | Description | Example |
---|---|---|---|---|
spinnerType |
string | ' ' | Allow to set size of a spinner. Values are big and small. | spinnerType="small" |
spinnerColor |
string | rainbow | Allow to set color of a spinner. Values are green, blue, yellow, red, rainbow. | spinnerColor="red" |
ProgressbarComponent
Name | Type | Default | Description | Example |
---|---|---|---|---|
max |
number | - | maximum total value of progress element. | max="100" |
type |
string | - | Provide one of the four supported contextual classes: `success`, `info`, `warning`, `danger`. | type="success" |
value |
number | - | Current value of progress bar. | value="50" |
Below classes can be used in spinner loader component (circles).
Name | Type | Usage |
---|---|---|
.spinner-blue |
color class |
<div class="spinner-layer spinner-blue"></div>
|
.spinner-red |
color class |
<div class="spinner-layer spinner-red"></div>
|
.spinner-yellow |
color class |
<div class="spinner-layer spinner-yellow"></div>
|
.spinner-green |
color class |
<div class="spinner-layer spinner-green"></div>
|
.spinner-primary-color |
color class |
<div class="spinner-layer spinner-primary-color"></div>
|
.*-only |
color class prefix |
<div class="spinner-layer spinner-primary-color-only"></div>
|
.small |
size class |
<div class="preloader-wrapper small active"></div>
|
(blank) - default size |
size class |
<div class="preloader-wrapper active"></div>
|
.big |
size class |
<div class="preloader-wrapper big active"></div>
|

Progress

React Bootstrap 5 Progress component

Documentation and examples for using custom progress bars featuring support for stacked bars, animated backgrounds, and text labels.


Basic example

        
            
          import React from 'react';
          import { MDBProgress, MDBProgressBar } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBProgress>
                <MDBProgressBar width={75} valuemin={0} valuemax={100} />
              </MDBProgress>
            );
          }
          
        
    

How it works

Progress components are built with two HTML elements, some CSS to set the width, and a few attributes. We don’t use the HTML5 <progress> element, ensuring you can stack progress bars, animate them, and place text labels over them.

  • We use the MDBProgress as a wrapper to indicate the max value of the progress bar.
  • We use the inner MDBProgressBar to indicate the progress so far.
  • Widht of the MDBProgressBar can be set with value prop.
  • The MDBProgressBar has automatically added role and aria attributes to make it accessible.

Put that all together, and you have the following examples.

        
            
          import React from 'react';
          import { MDBProgress, MDBProgressBar } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <>
                <MDBProgress>
                  <MDBProgressBar valuenow={0} valuemin={0} valuemax={100} />
                </MDBProgress>
    
                <br />
    
                <MDBProgress>
                  <MDBProgressBar width='25' valuemin={0} valuemax={100} />
                </MDBProgress>
    
                <br />
    
                <MDBProgress>
                  <MDBProgressBar width='50' valuemin={0} valuemax={100} />
                </MDBProgress>
    
                <br />
    
                <MDBProgress>
                  <MDBProgressBar width='75' valuemin={0} valuemax={100} />
                </MDBProgress>
    
                <br />
    
                <MDBProgress>
                  <MDBProgressBar width='100' valuemin={0} valuemax={100} />
                </MDBProgress>
              </>
            );
          }
          
        
    

MDB provides a handful of utilities for setting width. Depending on your needs, these may help with quickly configuring progress.

        
            
          import React from 'react';
          import { MDBProgress, MDBProgressBar } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBProgress>
                <MDBProgressBar className='w-75' valuenow={75} valuemin={0} valuemax={100} />
              </MDBProgress>
            );
          }
          
        
    

Labels

Add labels to your progress bars by placing text within the MDBProgress.

To make the label visible you need to set a proper height to the bar.

        
            
          import React from 'react';
          import { MDBProgress, MDBProgressBar } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBProgress height='20'>
                <MDBProgressBar width='25' valuemin={0} valuemax={100}>
                  25%
                </MDBProgressBar>
              </MDBProgress>
            );
          }
          
        
    

Height

We only set a height value on the MDBProgress, so if you change that value the inner MDBProgressBar will automatically resize accordingly.

        
            
          import React from 'react';
          import { MDBProgress, MDBProgressBar } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <>
                <MDBProgress height='1'>
                  <MDBProgressBar width='25' valuemin={0} valuemax={100} />
                </MDBProgress>
    
                <br />
    
                <MDBProgress height='20'>
                  <MDBProgressBar width='25' valuemin={0} valuemax={100} />
                </MDBProgress>
              </>
            );
          }
          
        
    

Colors

Use background utility classes to change the appearance of individual progress bars.

        
            
          import React from 'react';
          import { MDBProgress, MDBProgressBar } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <>
                <MDBProgress>
                  <MDBProgressBar bgColor='success' width='25' valuemin={0} valuemax={100} />
                </MDBProgress>
    
                <br />
    
                <MDBProgress>
                  <MDBProgressBar bgColor='info' width='50' valuemin={0} valuemax={100} />
                </MDBProgress>
    
                <br />
    
                <MDBProgress>
                  <MDBProgressBar bgColor='warning' width='75' valuemin={0} valuemax={100} />
                </MDBProgress>
    
                <br />
    
                <MDBProgress>
                  <MDBProgressBar bgColor='danger' width='100' valuemin={0} valuemax={100} />
                </MDBProgress>
              </>
            );
          }
          
        
    

Multiple bars

Include multiple progress bars in a progress component if you need.

        
            
          import React from 'react';
          import { MDBProgress, MDBProgressBar } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBProgress>
                <MDBProgressBar width='15' valuemin={0} valuemax={100} />
                <MDBProgressBar bgColor='success' width='30' valuemin={0} valuemax={100} />
                <MDBProgressBar bgColor='info' width='20' valuemin={0} valuemax={100} />
              </MDBProgress>
            );
          }
          
        
    

Striped

Add striped to any MDBProgressBar to apply a stripe via CSS gradient over the progress bar’s background color.

        
            
          import React from 'react';
          import { MDBProgress, MDBProgressBar } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <>
                <MDBProgress>
                  <MDBProgressBar striped width='10' valuemin={0} valuemax={100} />
                </MDBProgress>
                <br />
                <MDBProgress>
                  <MDBProgressBar striped bgColor='success' width='25' valuemin={0} valuemax={100}></MDBProgressBar>
                </MDBProgress>
                <br />
                <MDBProgress>
                  <MDBProgressBar striped bgColor='info' width='50' valuemin={0} valuemax={100} />
                </MDBProgress>
                <br />
                <MDBProgress>
                  <MDBProgressBar striped bgColor='warning' width='75' valuemin={0} valuemax={100} />
                </MDBProgress>
                <br />
                <MDBProgress>
                  <MDBProgressBar striped bgColor='danger' width='100' valuemin={0} valuemax={100} />
                </MDBProgress>
              </>
            );
          }
          
        
    

Animated stripes

The striped gradient can also be animated. Add animated to MDBProgressBar to animate the stripes right to left via CSS3 animations.

        
            
          import React from 'react';
          import { MDBProgress, MDBProgressBar } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBProgress>
                <MDBProgressBar striped animated width='75' valuemin={0} valuemax={100} />
              </MDBProgress>
            );
          }
          
        
    

Progress - API


Import

        
            
        import { 
          MDBProgress,
          MDBProgressBar
        } from 'mdb-react-ui-kit';
      
        
    

Properties

MDBProgress

Name Type Default Description Example
tag String 'div' Defines tag of the MDBProgress element <MDBProgress tag="section"><MDBProgressBar/></MDBProgress>
height Number | String Sets the height of the MDBProgress and MDBProgressBar elements <MDBProgress :height="10"><MDBProgressBar/></MDBProgress>

MDBProgressBar

Name Type Default Description Example
tag String 'li' Defines tag of the MDBProgressBar element <MDBProgress><MDBProgressBar tag="section"/></MDBProgress>
bgColor String Sets background color of the MDBProgressBar element. <MDBProgress><MDBProgressBar bgColor="success"/></MDBProgress>
striped Boolean false Adds striped effect <MDBProgress><MDBProgressBar striped></MDBProgress>
animated Boolean false Adds animation effect <MDBProgress><MDBProgressBar animated></MDBProgress>
valuenow Number 0 Changes progress value <MDBProgress><MDBProgressBar valuenow="10"></MDBProgress>
valuemin Number 0 Changes minimum progress value <MDBProgress><MDBProgressBar valuemin="10"></MDBProgress>
valuemax Number 100 Changes maximum progress value <MDBProgress><MDBProgressBar valuemax="10"></MDBProgress>
width Number | String 100 Change width of MDBProgressBar element <MDBProgress><MDBProgressBar valuemax="10"></MDBProgress>

CSS variables

As part of MDB’s evolving CSS variables approach, progress now use local CSS variables on .progress for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .progress
        --#{$prefix}progress-height: #{$progress-height};
        @include rfs($progress-font-size, --#{$prefix}progress-font-size);
        --#{$prefix}progress-bg: #{$progress-bg};
        --#{$prefix}progress-border-radius: #{$progress-border-radius};
        --#{$prefix}progress-box-shadow: #{$progress-box-shadow};
        --#{$prefix}progress-bar-color: #{$progress-bar-color};
        --#{$prefix}progress-bar-bg: #{$progress-bar-bg};
        --#{$prefix}progress-bar-transition: #{$progress-bar-transition};
        
        
    

SCSS variables

        
            
        $progress-height: 4px;
        $progress-font-size: $font-size-base * 0.75;
        $progress-bg: $gray-200;
        $progress-border-radius: $border-radius;
        $progress-box-shadow: $box-shadow-inset;
        $progress-bar-color: $white;
        $progress-bar-bg: $primary;
        $progress-bar-animation-timing: 1s linear infinite;
        $progress-bar-transition: width 0.6s ease;